## percona-postgresql-15 15.12

=== rpm/Makefile ===
#################################
# RPM-specific Makefile		#
# https://yum.postgresql.org	#
#                         	#
# Devrim Gunduz			#
# devrim@gunduz.org		#
#################################

# Predefined values

ARCH=`rpm --eval "%{_arch}"`
DIR=`pwd`
DIST=.f99
SPECFILE="postgresql-15.spec"

# Now, include global Makefile
include ../../../../global/Makefile.global

=== contrib/pageinspect/Makefile ===
# contrib/pageinspect/Makefile

MODULE_big	= pageinspect
OBJS = \
	$(WIN32RES) \
	brinfuncs.o \
	btreefuncs.o \
	fsmfuncs.o \
	ginfuncs.o \
	gistfuncs.o \
	hashfuncs.o \
	heapfuncs.o \
	rawpage.o

EXTENSION = pageinspect
DATA =  pageinspect--1.10--1.11.sql \
	pageinspect--1.9--1.10.sql pageinspect--1.8--1.9.sql \
	pageinspect--1.7--1.8.sql pageinspect--1.6--1.7.sql \
	pageinspect--1.5.sql pageinspect--1.5--1.6.sql \
	pageinspect--1.4--1.5.sql pageinspect--1.3--1.4.sql \
	pageinspect--1.2--1.3.sql pageinspect--1.1--1.2.sql \
	pageinspect--1.0--1.1.sql
PGFILEDESC = "pageinspect - functions to inspect contents of database pages"

REGRESS = page btree brin gin gist hash checksum oldextversions

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pageinspect
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

## percona-postgresql-15 15.10

=== debian/changelog ===
percona-postgresql-15 (15.10-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 15.10-1

 -- root <root@59401cb0bc09>  Tue, 26 Nov 2024 05:35:30 -0500

percona-postgresql-15 (15.10) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 26 Nov 2024 05:35:29 -0500

=== debian/control ===
Source: percona-postgresql-15
Section: database
Priority: optional
Maintainer: Percona Development Team <info@percona.com>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends:
 autoconf,
 bison,
 clang [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
 debhelper,
 dh-exec (>= 0.13~),
 docbook-xml,
 docbook-xsl (>= 1.77),
 dpkg-dev (>= 1.16.1~),
 flex,
 gdb <!nocheck>,
 gettext,
 krb5-multidev,
 libedit-dev,
 libicu-dev,
 libio-pty-perl <!nocheck>,
 libipc-run-perl <!nocheck>,
 libkrb5-dev,
 libldap2-dev,
 liblz4-dev,
 libpam0g-dev | libpam-dev,
 libperl-dev,
 libreadline-dev,
 libselinux1-dev [linux-any],
 libssl-dev,
 libsystemd-dev [linux-any],
 libxml2-dev,
 libxml2-utils,
 libxslt1-dev,
 llvm-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
 mawk,
 perl (>= 5.8),
 pkg-config,
 python3-dev,
 systemtap-sdt-dev,
 tcl-dev,
 uuid-dev,
 xsltproc,
 zlib1g-dev | libz-dev
Homepage: http://www.postgresql.org/

Package: libpq-dev
Architecture: any
Section: libdevel
Depends:
 libpq5 (= ${binary:Version}),
 libssl-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: percona-postgresql-doc-15
Description: header files for libpq5 (PostgreSQL library)
 Header files and static library for compiling C programs to link
 with the libpq library in order to communicate with a PostgreSQL
 database backend.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpq5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: PostgreSQL C client library
 libpq is a C library that enables user programs to communicate with
 the PostgreSQL database server.  The server can be on another machine
 and accessed through TCP/IP.  This version of libpq is compatible
 with servers from PostgreSQL 8.2 or later.
 .
 This package contains the run-time library, needed by packages using
 libpq.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: run-time library for ECPG programs
 The libecpg shared library is used by programs built with ECPG
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg-dev
Architecture: any
Section: libdevel
Depends:
 libecpg-compat3 (= ${binary:Version}),
 libecpg6 (= ${binary:Version}),
 libpgtypes3 (= ${binary:Version}),
 libpq-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Description: development files for ECPG (Embedded PostgreSQL for C)
 This package contains the necessary files to build ECPG (Embedded
 PostgreSQL for C) programs.  It includes the development libraries
 and the preprocessor program ecpg.
 .
 PostgreSQL is an object-relational SQL database management system.
 .
 Install this package if you want to write C programs with SQL statements
 embedded in them (rather than run by an external process).

Package: libecpg-compat3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: older version of run-time library for ECPG programs
 The libecpg_compat shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpgtypes3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: shared library libpgtypes for PostgreSQL 15
 The libpgtypes shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-15
Architecture: any
Depends:
 locales | locales-all,
 percona-postgresql-client-15,
 percona-postgresql-common (>= 182~),
 ssl-cert,
 tzdata,
 curl,
 percona-pg-telemetry15,
 ${misc:Depends},
 ${shlibs:Depends}
Provides: percona-postgresql-contrib-15, postgresql-contrib-15 (= ${binary:Version}), postgresql-15 (= ${binary:Version})
Recommends: sysstat
Description: The World's Most Advanced Open Source Relational Database
 PostgreSQL, also known as Postgres, is a free and open-source relational
 database management system (RDBMS) emphasizing extensibility and SQL
 compliance. It features transactions with Atomicity, Consistency, Isolation,
 Durability (ACID) properties, automatically updatable views, materialized
 views, triggers, foreign keys, and stored procedures. It is designed to handle
 a range of workloads, from single machines to data warehouses or Web services
 with many concurrent users.
 .
 This package provides the database server for PostgreSQL 15.
XB-Postgresql-Catversion: ${postgresql:Catversion}

Package: percona-postgresql-client-15
Architecture: any
Multi-Arch: foreign
Depends:
 libpq5 (>= ${source:Upstream-Version}),
 postgresql-client-common (>= 182~),
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: percona-postgresql-15, percona-postgresql-doc-15
Provides: percona-postgresql-client, postgresql-client (= ${binary:Version}), postgresql-client-15 (= ${binary:Version})
Conflicts: postgresql-server-dev-15 (<< 15.10-1~)
Replaces: postgresql-server-dev-15 (<< 15.10-1~)
Description: front-end programs for PostgreSQL 15
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This is the client package for PostgreSQL 15. If you install
 PostgreSQL 15 on a standalone machine, you need the server package
 postgresql-15, too. On a network, you can install this package on
 many client machines, while the server package may be installed on
 only one machine.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-server-dev-15
Architecture: any
Section: libdevel
Depends:
 clang [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
 libpq-dev (>= 15~~),
 llvm-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
 percona-postgresql-client-15, percona-postgresql-common (>= 152~),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 postgresql-server-dev-all (<< 181~)
Provides: postgresql-server-dev-all, postgresql-server-dev-all-15
Description: development files for PostgreSQL 15 server-side programming
 Header files for compiling SSI code to link into PostgreSQL's backend; for
 example, for C functions to be called from SQL.
 .
 This package also contains the Makefiles necessary for building add-on
 modules of PostgreSQL, which would otherwise have to be built in the
 PostgreSQL source-code tree.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-doc-15
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Breaks: postgresql-common (<< 158~)
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 PostgreSQL 15. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-plperl-15
Architecture: any
Depends:
 perl,
 percona-postgresql-15 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: percona-postgresql-15 (<< 15~beta4)
Replaces: percona-postgresql-15 (<< 15~beta4)
Provides: percona-postgresql-plperl, postgresql-plperl, postgresql-plperl-15
Description: PL/Perl procedural language for PostgreSQL 15
 PL/Perl enables an SQL developer to write procedural language functions
 for PostgreSQL 15 in Perl.  You need this package if you have any
 PostgreSQL 15 functions that use the languages plperl or plperlu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-plpython3-15
Architecture: any
Depends:
 percona-postgresql-15 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: percona-postgresql-15 (<< 15~beta4)
Replaces: percona-postgresql-15 (<< 15~beta4)
Provides: postgresql-plpython3,postgresql-plpython3-15, percona-postgresql-plpython3
Description: PL/Python 3 procedural language for PostgreSQL 15
 PL/Python 3 enables an SQL developer to write procedural language functions
 for PostgreSQL 15 in Python 3.  You need this package if you have any
 PostgreSQL 15 functions that use the languages plpython3 or plpython3u.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: percona-postgresql-pltcl-15
Architecture: any
Depends:
 percona-postgresql-15 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: percona-postgresql-pltcl, postgresql-pltcl, postgresql-15-pltcl
Description: PL/Tcl procedural language for PostgreSQL 15
 PL/Tcl enables an SQL developer to write procedural language functions
 for PostgreSQL 15 in Tcl.  You need this package if you have any
 PostgreSQL 15 functions that use the languages pltcl or pltclu.
 .
 PostgreSQL is an object-relational SQL database management system.

## percona-postgresql-15 15.12

=== debian/changelog ===
percona-postgresql-15 (15.12-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 15.12-1

 -- root <root@31e47c69cf1a>  Wed, 19 Feb 2025 06:10:05 -0500

percona-postgresql-15 (15.12) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 19 Feb 2025 06:10:05 -0500

=== debian/control ===
--- 
+++ 
@@ -171,8 +171,8 @@
  ${shlibs:Depends}
 Suggests: percona-postgresql-15, percona-postgresql-doc-15
 Provides: percona-postgresql-client, postgresql-client (= ${binary:Version}), postgresql-client-15 (= ${binary:Version})
-Conflicts: postgresql-server-dev-15 (<< 15.10-1~)
-Replaces: postgresql-server-dev-15 (<< 15.10-1~)
+Conflicts: postgresql-server-dev-15 (<< 15.12-1~)
+Replaces: postgresql-server-dev-15 (<< 15.12-1~)
 Description: front-end programs for PostgreSQL 15
  This package contains client and administrative programs for
  PostgreSQL: these are the interactive terminal client psql and

## percona-postgresql-15 15.13

=== debian/changelog ===
percona-postgresql-15 (15.13-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 15.13-1

 -- root <root@cc859041d553>  Mon, 12 May 2025 05:38:07 -0400

percona-postgresql-15 (15.13) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 12 May 2025 05:38:07 -0400

=== debian/control ===
--- 
+++ 
@@ -171,8 +171,8 @@
  ${shlibs:Depends}
 Suggests: percona-postgresql-15, percona-postgresql-doc-15
 Provides: percona-postgresql-client, postgresql-client (= ${binary:Version}), postgresql-client-15 (= ${binary:Version})
-Conflicts: postgresql-server-dev-15 (<< 15.12-1~)
-Replaces: postgresql-server-dev-15 (<< 15.12-1~)
+Conflicts: postgresql-server-dev-15 (<< 15.13-1~)
+Replaces: postgresql-server-dev-15 (<< 15.13-1~)
 Description: front-end programs for PostgreSQL 15
  This package contains client and administrative programs for
  PostgreSQL: these are the interactive terminal client psql and

=== debian/rules ===
#!/usr/bin/make -f

# The PostgreSQL server packages include this in their debian/rules file.
MAJOR_VER = 15
ifndef MAJOR_VER
$(error MAJOR_VER must be defined before including this file)
endif

# path to auxiliary build files
AUX_MK_DIR = /usr/share/postgresql-common/server

# version comparison
version_ge = $(shell dpkg --compare-versions $(MAJOR_VER) ge $(1) && echo y)

# include dpkg makefiles
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# strict symbol checking
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# server catalog version
CATVERSION = $(shell awk '/CATALOG_VERSION_NO/ { print $$3 }' src/include/catalog/catversion.h)

# configure flags

CONFIGURE_FLAGS = \
  --with-tcl \
  --with-perl \
  --with-python \
  --with-pam \
  --with-openssl \
  --with-libxml \
  --with-libxslt \
  --mandir=/usr/share/postgresql/$(MAJOR_VER)/man \
  --docdir=/usr/share/doc/postgresql-doc-$(MAJOR_VER) \
  --sysconfdir=/etc/postgresql-common \
  --datarootdir=/usr/share/ \
  --datadir=/usr/share/postgresql/$(MAJOR_VER) \
  --bindir=/usr/lib/postgresql/$(MAJOR_VER)/bin \
  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ \
  --libexecdir=/usr/lib/postgresql/ \
  --includedir=/usr/include/postgresql/ \
  --with-extra-version=" ($(DEB_VENDOR) $(DEB_VERSION))" \
  --enable-nls \
  --enable-thread-safety \
  --enable-debug \
  --enable-dtrace \
  --disable-rpath \
  --with-uuid=e2fs \
  --with-gnu-ld \
  --with-gssapi \
  --with-ldap \
  --with-pgport=5432 \
  --with-system-tzdata=/usr/share/zoneinfo \
  --with-extra-version=" - Percona Distribution" \
  AWK=mawk \
  MKDIR_P='/bin/mkdir -p' \
  PROVE='/usr/bin/prove' \
  PYTHON=/usr/bin/python3 \
  TAR='/bin/tar' \
  XSLTPROC='xsltproc --nonet' \
  CFLAGS='$(CFLAGS)' \
  LDFLAGS='$(LDFLAGS)'

ifeq ($(call version_ge,9.4),y)
  CONFIGURE_FLAGS += --enable-tap-tests
endif

ifeq ($(call version_ge,9.5),y)
  ifneq ($(findstring $(DEB_HOST_ARCH), alpha),)
    CONFIGURE_FLAGS += --disable-spinlocks
  endif
endif

ifeq ($(call version_ge,10),y)
  CONFIGURE_FLAGS += --with-icu
endif

ifeq ($(call version_ge,11),y)
  # if LLVM is installed, use it
  ifneq ($(wildcard /usr/bin/llvm-config-*),)
    LLVM_CONFIG = $(lastword $(sort $(wildcard /usr/bin/llvm-config-*)))
    LLVM_VERSION = $(subst /usr/bin/llvm-config-,,$(LLVM_CONFIG))
    CONFIGURE_FLAGS += --with-llvm LLVM_CONFIG=$(LLVM_CONFIG) CLANG=/usr/bin/clang-$(LLVM_VERSION)
  else
    LLVM_VERSION = 0.invalid # mute dpkg error on empty version fields in debian/control
  endif
  TEMP_CONFIG = TEMP_CONFIG=$(AUX_MK_DIR)/test-with-jit.conf
endif

ifeq ($(call version_ge,15),y)
  CONFIGURE_FLAGS += --with-lz4
endif

# Facilitate hierarchical profile generation on amd64 (#730134)
ifeq ($(DEB_HOST_ARCH),amd64)
  CFLAGS += -fno-omit-frame-pointer
endif

# Work around an ICE bug in GCC 11.2.0, see
# https://gcc.gnu.org/bugzilla/show_bug.cgi?id=103395
ifneq ($(findstring $(DEB_HOST_ARCH), armel armhf),)
  CFLAGS+= -DSTAP_SDT_ARG_CONSTRAINT=g
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
  CONFIGURE_FLAGS += --with-systemd
  CONFIGURE_FLAGS += --with-selinux
endif

ifneq ($(filter pkg.postgresql.cassert,$(DEB_BUILD_PROFILES)),)
  CONFIGURE_FLAGS += --enable-cassert
  GENCONTROL_FLAGS += -Vcassert='$${Newline}$${Newline}This package has been built with cassert enabled.'
endif

# hurd implemented semaphores only recently and tests still fail a lot
# plperl fails on kfreebsd-* (#704802)
ifneq ($(filter hurd kfreebsd,$(DEB_HOST_ARCH_OS)),)
  TEST_FAIL_COMMAND = exit 0
else
  TEST_FAIL_COMMAND = exit 0
endif

# recipes

%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build -- $(CONFIGURE_FLAGS)
	# remove pre-built documentation
	rm -fv doc/src/sgml/*-stamp

override_dh_auto_build-indep:
	$(MAKE) -C build/doc all # build man + html

override_dh_auto_build-arch:
	# set MAKELEVEL to 0 to force building submake-generated-headers in src/Makefile.global(.in)
	MAKELEVEL=0 $(MAKE) -C build/src all
	$(MAKE) -C build/doc man # build man only
	$(MAKE) -C build/config all
	$(MAKE) -C build/contrib all
	# build tutorial stuff
	$(MAKE) -C build/src/tutorial NO_PGXS=1

override_dh_auto_install-arch:
	$(MAKE) -C build/doc/src/sgml install-man DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/src install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/config install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build/contrib install DESTDIR=$(CURDIR)/debian/tmp
	# move SPI examples into server package (they wouldn't be in the doc package in an -A build)
	mkdir -p debian/postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)
	mkdir -p debian/postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)/examples/extension/
	mv -f debian/tmp/usr/share/doc/postgresql-doc-$(MAJOR_VER)/extension/* debian/postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)/examples/extension/

override_dh_auto_install-indep:
	$(MAKE) -C build/doc install DESTDIR=$(CURDIR)/debian/tmp

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/postgresql/$(MAJOR_VER)

override_dh_auto_clean:
	rm -rf build

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

override_dh_compress:
	dh_compress -X.source -X.c
	# compress manpages (excluding debian/tmp/)
	gzip -9n $(CURDIR)/debian/*-*/usr/share/postgresql/*/man/man*/*.[137]

override_dh_install-arch:
	dh_install -a

	# link README.Debian.gz to postgresql-common
	mkdir -p debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)
	ln -s ../percona-postgresql-common/README.Debian.gz debian/percona-postgresql-$(MAJOR_VER)/usr/share/doc/postgresql-$(MAJOR_VER)/README.Debian.gz

	# assemble perl version of pg_config in libpq-dev
	cp debian/percona-postgresql-client-15/usr/lib/postgresql/15/bin/pg_config debian/libpq-dev/usr/bin/
	sed -ne '1,/__DATA__/p' debian/libpq-dev/usr/bin/pg_config
	LC_ALL=C debian/percona-postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_config >> debian/libpq-dev/usr/bin/pg_config
	LC_ALL=C debian/percona-postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_config --help >> debian/libpq-dev/usr/bin/pg_config
	chmod 755 debian/libpq-dev/usr/bin/pg_config

	# remove actual build path from Makefile.global for reproducibility
	sed -i -e "s!^abs_top_builddir.*!abs_top_builddir = /build/percona-postgresql-$(MAJOR_VER)/build!" \
	       -e "s!^abs_top_srcdir.*!abs_top_srcdir = /build/percona-postgresql-$(MAJOR_VER)/build/..!" \
	       -e 's!-f\(debug\|file\)-prefix-map=[^ ]* !!g' \
	       debian/percona-postgresql-client-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/pgxs/src/Makefile.global

	# these are shipped in the pl packages
	bash -c "rm -v debian/percona-postgresql-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/extension/{plperl,plpython,pltcl,*_pl}*"
	bash -c "rm -v debian/percona-postgresql-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/{plperl,plpython,pltcl,*_pl}*"
	bash -c "rm -rfv debian/percona-postgresql-$(MAJOR_VER)/usr/lib/postgresql/$(MAJOR_VER)/lib/bitcode/*{plperl,plpython,pltcl}*"

	# record catversion in a file
	echo $(CATVERSION) > debian/percona-postgresql-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/catalog_version

override_dh_install-indep:
	dh_install -i

	if [ -d debian/percona-postgresql-doc-$(MAJOR_VER) ]; then set -e; \
	     install -d debian/percona-postgresql-doc-$(MAJOR_VER)/usr/share/doc/postgresql-doc-$(MAJOR_VER)/tutorial; \
	     install src/tutorial/*.c src/tutorial/*.source src/tutorial/Makefile src/tutorial/README debian/percona-postgresql-doc-$(MAJOR_VER)/usr/share/doc/postgresql-doc-$(MAJOR_VER)/tutorial; \
	fi

override_dh_auto_test-indep:
	# nothing to do

override_dh_auto_test-arch:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# when tests fail, print newest log files

## percona-postgresql-15 15.14

=== src/backend/access/transam/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for access/transam
#
# IDENTIFICATION
#    src/backend/access/transam/Makefile
#
#-------------------------------------------------------------------------

subdir = src/backend/access/transam
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global

OBJS = \
	clog.o \
	commit_ts.o \
	generic_xlog.o \
	multixact.o \
	parallel.o \
	rmgr.o \
	slru.o \
	subtrans.o \
	timeline.o \
	transam.o \
	twophase.o \
	twophase_rmgr.o \
	varsup.o \
	xact.o \
	xlog.o \
	xlogarchive.o \
	xlogfuncs.o \
	xloginsert.o \
	xlogprefetcher.o \
	xlogreader.o \
	xlogrecovery.o \
	xlogstats.o \
	xlogutils.o

include $(top_srcdir)/src/backend/common.mk

# ensure that version checks in xlog.c get recompiled when catversion.h changes
xlog.o: xlog.c $(top_srcdir)/src/include/catalog/catversion.h

=== src/test/modules/worker_spi/Makefile ===
# src/test/modules/worker_spi/Makefile

MODULES = worker_spi

EXTENSION = worker_spi
DATA = worker_spi--1.0.sql
PGFILEDESC = "worker_spi - background worker example"

REGRESS = worker_spi

# enable our module in shared_preload_libraries for dynamic bgworkers
REGRESS_OPTS = --temp-config $(top_srcdir)/src/test/modules/worker_spi/dynamic.conf

# Disable installcheck to ensure we cover dynamic bgworkers.
NO_INSTALLCHECK = 1

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = src/test/modules/worker_spi
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
percona-postgresql-15 (15.14-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 15.14-1

 -- root <root@48731d03a9af>  Tue, 02 Sep 2025 10:26:32 -0400

percona-postgresql-15 (15.14) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 02 Sep 2025 10:26:31 -0400

=== debian/control ===
--- 
+++ 
@@ -171,8 +171,8 @@
  ${shlibs:Depends}
 Suggests: percona-postgresql-15, percona-postgresql-doc-15
 Provides: percona-postgresql-client, postgresql-client (= ${binary:Version}), postgresql-client-15 (= ${binary:Version})
-Conflicts: postgresql-server-dev-15 (<< 15.13-1~)
-Replaces: postgresql-server-dev-15 (<< 15.13-1~)
+Conflicts: postgresql-server-dev-15 (<< 15.14-1~)
+Replaces: postgresql-server-dev-15 (<< 15.14-1~)
 Description: front-end programs for PostgreSQL 15
  This package contains client and administrative programs for
  PostgreSQL: these are the interactive terminal client psql and
